<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <PropertyGroup>
    <DefineConstants>$(DefineConstants);JETBRAINS_ANNOTATIONS</DefineConstants>
  </PropertyGroup>

  <PropertyGroup>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <!--<WarningsAsErrors></WarningsAsErrors>-->
    <!--<NoWarn>$(NoWarn)</NoWarn>-->
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'Release'">
<!--    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>-->
    <WarningLevel>0</WarningLevel>
<!--    <WarningsAsErrors></WarningsAsErrors>-->
<!--    <NoWarn>$(NoWarn)</NoWarn>-->
  </PropertyGroup>

  <ItemGroup>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>$(ProjectId).Test</_Parameter1>
    </AssemblyAttribute>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>DynamicProxyGenAssembly2</_Parameter1>
    </AssemblyAttribute>
  </ItemGroup>

  <PropertyGroup Label="SourceLink" Condition="'$(CI)' == true">
    <PublishRepositoryUrl>true</PublishRepositoryUrl>
    <EmbedUntrackedSources>true</EmbedUntrackedSources>
    <EmbedAllSources>true</EmbedAllSources>
    <Deterministic>true</Deterministic>
    <ContinuousIntegrationBuild>true</ContinuousIntegrationBuild>
  </PropertyGroup>

  <ItemGroup Label="SourceLinkRefs" Condition="'$(CI)' == true">
    <PackageReference Include="Microsoft.SourceLink.GitLab" Version="1.0.0" />
  </ItemGroup>

  <PropertyGroup>
    <Description>Dependency Injection Prototype</Description>
    <PackageReleaseNotes>$(PackageReleaseNotes)</PackageReleaseNotes>
    <PackageProjectUrl>https://gitlab.com/jrevolt/dotnet/jrevolt.injection</PackageProjectUrl>
    <PackageLicenseExpression>LGPL-3.0-or-later</PackageLicenseExpression>
    <RepositoryUrl>$(PackageProjectUrl)</RepositoryUrl>
    <Authors>JRevolt;pbeno</Authors>
    <IncludeSource>true</IncludeSource>
    <IncludeSymbols>true</IncludeSymbols>
    <SymbolPackageFormat>snupkg</SymbolPackageFormat>
  </PropertyGroup>

</Project>
